tidy.recipe {recipes} | R Documentation

## Tidy the Result of a Recipe

### Description

`tidy` will return a data frame that contains information regarding a recipe or operation within the recipe (when a `tidy` method for the operation exists).

### Usage

    ## S3 method for class 'recipe'
    tidy(x, number = NA, ...)

    ## S3 method for class 'step'
    tidy(x, ...)

    ## S3 method for class 'check'
    tidy(x, ...)

### Arguments

`x` | A `recipe` object (trained or otherwise).
`number` | An integer or `NA`. If missing, the return value is a list of the operation in the recipe. If a number is given, a `tidy` method is executed for that operation in the recipe (if it exists).
`...` | Not currently used.

### Value

A tibble with columns that would vary depending on what `tidy` method is executed. When `x` is `NA`, a tibble with columns `number` (the operation iteration), `operation` (either "step" or "check"), `type` (the method, e.g. "nzv", "center"), a logical column called `trained` for whether the operation has been estimated using `prep`, a logical for `skip`, and a character column `id`.

### Examples

    data(okc)

    okc_rec <- recipe(~ ., data = okc) %>%
      step_other(all_nominal(), threshold = 0.05, other = "another") %>%
      step_date(date, features = "dow") %>%
      step_center(all_numeric()) %>%
      step_dummy(all_nominal()) %>%
      check_cols(starts_with("date"), age, height)

    tidy(okc_rec)

    tidy(okc_rec, number = 2)
    tidy(okc_rec, number = 3)

    okc_rec_trained <- prep(okc_rec, training = okc)

    tidy(okc_rec_trained)
    tidy(okc_rec_trained, number = 3)

[Package recipes version 0.1.5 Index]